import Vue from 'vue';
import Vuex from 'vuex';
import link from './link';
import site from './site';
import news from './news';
import column from './column';
import policyColumn from './policyColumn';
import policyNews from './policyNews';
import recordColumn from './recordColumn';
import recordNews from './recordNews';
import serveColumn from './serveColumn';
import serveNews from './serveNews';
import liveTechnicalColumn from './liveTechnicalColumn';
import liveTechnicalNews from './liveTechnicalNews';
import talentColumn from './talentColumn';
import talentExperts from './talentExperts';
import talentInformation from './talentInformation';
import talentRecruitment from './talentRecruitment';
import talentResume from './talentResume';
import dictionary from './dictionary';
import protype from './protype';
import marketproject from './marketproject';
import present from './present';
import tranaudit from './tranaudit';
import transaction from './transaction';
import live from './live';
import apply from './apply';
import marketcolumn from './marketcolumn';
import users from './user';
import codeCategory from './code-category';
import codeItem from './code-item';
import login from '@common/store/login';
import authUser from '@common/store/user/auth-user';
import role from '@common/store/user/role';
import * as ustate from '@common/store/user/state';
import * as umutations from '@common/store/user/mutations';
import place from '@common/store/place/place';
import expertsuser from '@common/store/market/exportuser';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    link,
    site,
    news,
    column,
    policyColumn,
    policyNews,
    recordColumn,
    recordNews,
    serveColumn,
    serveNews,
    liveTechnicalColumn,
    liveTechnicalNews,
    talentColumn,
    talentExperts,
    talentInformation,
    talentRecruitment,
    talentResume,
    dictionary,
    protype,
    users,
    codeCategory,
    codeItem,
    marketproject,
    present,
    tranaudit,
    transaction,
    live,
    apply,
    marketcolumn,
    login,
    role,
    authUser,
    place,
    expertsuser,
  },
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
});
